Bug 99401 - During normal use KPatience, Klickety, and Kolf will sig 11
Summary: During normal use KPatience, Klickety, and Kolf will sig 11
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdegames (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-18 17:45 UTC by Paul Kopacz
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-13 13:05:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Klickety stack trace (2.04 KB, text/plain)
2003-07-18 17:46 UTC, Paul Kopacz
no flags Details
Another kilckety stack trace (3.03 KB, text/plain)
2003-07-18 17:47 UTC, Paul Kopacz
no flags Details
Kolf stack trace (3.87 KB, text/plain)
2003-07-18 17:48 UTC, Paul Kopacz
no flags Details
Kpatience stack trace (3.04 KB, text/plain)
2003-07-18 17:48 UTC, Paul Kopacz
no flags Details
Another kpatience stack trace. (3.16 KB, text/plain)
2003-07-18 17:49 UTC, Paul Kopacz
no flags Details

Description Paul Kopacz 2003-07-18 17:45:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Just normally playing these games will eventually cause them to sig 11.  It
seems this happens when some graphics/animation/sprite-moving stuff is
happening.  Kpatience is the least stable, followed by klickety, and then kolf
(Kolf is actually playable to a degree).  But once one of them sig 11's, the
other ones seem more unstable (sig 11 quicker) until I reboot.  (Not logout,
reboot!).

Version-Release number of selected component (if applicable):
kdegames-3.1-4

How reproducible:
Always

Steps to Reproduce:
1.Start up a game, start playing (kpat is the quickest for me)
2.Do until sig 11 happens
3.Get pissed off
    

Actual Results:  Got pissed off :)

Additional info:

Comment 1 Paul Kopacz 2003-07-18 17:46:57 UTC
Created attachment 93004 [details]
Klickety stack trace

Comment 2 Paul Kopacz 2003-07-18 17:47:41 UTC
Created attachment 93005 [details]
Another kilckety stack trace

Comment 3 Paul Kopacz 2003-07-18 17:48:20 UTC
Created attachment 93006 [details]
Kolf stack trace

Comment 4 Paul Kopacz 2003-07-18 17:48:56 UTC
Created attachment 93007 [details]
Kpatience stack trace

Comment 5 Paul Kopacz 2003-07-18 17:49:51 UTC
Created attachment 93008 [details]
Another kpatience stack trace.

Comment 6 Ngo Than 2003-10-13 13:05:41 UTC
all above applications seems to run fine on my local machine. I have KDE
3.1.4/Qt -3.1.2 running here. I recommend you should upgrade to KDE
3.1.4/Qt-3.1.2. You find KDE 3.1.4/Qt 3.1.2 on ftp.kde.org


Note You need to log in before you can comment on or make changes to this bug.